Subject: Re: NFSV4: VERIFY

From: Spencer Shepler <[email-masked]>
Date: Tue, 21 Mar 2000 00:53:41 -0600

eric kustarz wrote:
> 
> Hi Spencer,
> 
> Maybe I am missing something but I'm not sure...
> 
> Why is there both a bitmap4 AND fattr4 in the arguments for VERIFY and
> NVERIFY? A fattr4 already has a bitmap4 in it, it seems like this is
> redudant information.

You are correct, Eric.  Both VERIFY and NVERIFY contain the additional
bitmap4.  This should be changed.  I have a couple of minor error code
return changes that need to be made and was hoping that it could be done
with minimal fuss but this change is a little larger. :-(

> Even the Synopsis seems to suggest the same thing:
>      (cfh), attrbits, attrvals -> -
> 
> Since a fattr4 has attrbits and attrvals in it.
> 
> thanx,
> eric